# FoundationClasses
TKernel
Storage

# Storage_CallBack Class Reference

`#include <Storage_CallBack.hxx>`

Inheritance diagram for Storage_CallBack:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_Standard_Persistent | New () const =0
virtual Standard_EXPORT void | Add (const Handle(Standard_Persistent)&aPers, const Handle(Storage_Schema)&aSchema) const =0
virtual Standard_EXPORT void | Write (const Handle(Standard_Persistent)&aPers, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema) const =0
virtual Standard_EXPORT void | Read (const Handle(Standard_Persistent)&aPers, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

virtual Standard_EXPORT void Storage_CallBack::Add | ( | const Handle(Standard_Persistent)& | aPers,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[pure virtual]`

| Implemented in Storage_DefaultCallBack.

Standard_EXPORT const Storage_CallBack::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Storage_DefaultCallBack.

virtual Standard_EXPORT Handle_Standard_Persistent Storage_CallBack::New | ( |  | ) | const`[pure virtual]`

| Implemented in Storage_DefaultCallBack.

virtual Standard_EXPORT void Storage_CallBack::Read | ( | const Handle(Standard_Persistent)& | aPers,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[pure virtual]`

| Implemented in Storage_DefaultCallBack.

virtual Standard_EXPORT void Storage_CallBack::Write | ( | const Handle(Standard_Persistent)& | aPers,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[pure virtual]`

| Implemented in Storage_DefaultCallBack.

The documentation for this class was generated from the following file:

- Storage_CallBack.hxx